// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		333798BF22F86B8C007A5022 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 333798BE22F86B8C007A5022 /* AppDelegate.swift */; };
		333798C122F86B8C007A5022 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 333798C022F86B8C007A5022 /* ViewController.swift */; };
		333798C422F86B8C007A5022 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 333798C222F86B8C007A5022 /* Main.storyboard */; };
		333798C622F86B92007A5022 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 333798C522F86B92007A5022 /* Assets.xcassets */; };
		333798C922F86B92007A5022 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 333798C722F86B92007A5022 /* LaunchScreen.storyboard */; };
		333798E122F86BA4007A5022 /* Readme.md in Resources */ = {isa = PBXBuildFile; fileRef = 333798D422F86BA4007A5022 /* Readme.md */; };
		33CF209922F96C73007C49EC /* ActionSheetViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 33CF209322F96C73007C49EC /* ActionSheetViewController.swift */; };
		33CF209A22F96C73007C49EC /* ActionSheetButton.swift in Sources */ = {isa = PBXBuildFile; fileRef = 33CF209422F96C73007C49EC /* ActionSheetButton.swift */; };
		33CF209B22F96C73007C49EC /* ActionSheet.swift in Sources */ = {isa = PBXBuildFile; fileRef = 33CF209522F96C73007C49EC /* ActionSheet.swift */; };
		33CF209C22F96C73007C49EC /* ActionSheetTopView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 33CF209622F96C73007C49EC /* ActionSheetTopView.swift */; };
		33CF209D22F96C73007C49EC /* ActionSheetView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 33CF209722F96C73007C49EC /* ActionSheetView.swift */; };
		F83AAAB425D6E1A90072C287 /* ConstraintPriority.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAA9C25D6E1910072C287 /* ConstraintPriority.swift */; };
		F83AAAB525D6E1A90072C287 /* ConstraintView.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAAA025D6E1910072C287 /* ConstraintView.swift */; };
		F83AAAB625D6E1A90072C287 /* ConstraintLayoutSupportDSL.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAAB125D6E1910072C287 /* ConstraintLayoutSupportDSL.swift */; };
		F83AAAB725D6E1A90072C287 /* ConstraintMakerFinalizable.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAA9925D6E1910072C287 /* ConstraintMakerFinalizable.swift */; };
		F83AAAB825D6E1A90072C287 /* ConstraintRelatableTarget.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAAAE25D6E1910072C287 /* ConstraintRelatableTarget.swift */; };
		F83AAAB925D6E1A90072C287 /* ConstraintDSL.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAA9A25D6E1910072C287 /* ConstraintDSL.swift */; };
		F83AAABA25D6E1A90072C287 /* ConstraintLayoutGuideDSL.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAAA925D6E1910072C287 /* ConstraintLayoutGuideDSL.swift */; };
		F83AAABB25D6E1A90072C287 /* ConstraintConstantTarget.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAAA425D6E1910072C287 /* ConstraintConstantTarget.swift */; };
		F83AAABC25D6E1A90072C287 /* ConstraintRelation.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAAA825D6E1910072C287 /* ConstraintRelation.swift */; };
		F83AAABD25D6E1A90072C287 /* Typealiases.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAAA325D6E1910072C287 /* Typealiases.swift */; };
		F83AAABE25D6E1A90072C287 /* Constraint.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAAAC25D6E1910072C287 /* Constraint.swift */; };
		F83AAABF25D6E1A90072C287 /* ConstraintOffsetTarget.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAAA525D6E1910072C287 /* ConstraintOffsetTarget.swift */; };
		F83AAAC025D6E1A90072C287 /* ConstraintPriorityTarget.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAA9725D6E1910072C287 /* ConstraintPriorityTarget.swift */; };
		F83AAAC125D6E1A90072C287 /* ConstraintLayoutGuide+Extensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAAB025D6E1910072C287 /* ConstraintLayoutGuide+Extensions.swift */; };
		F83AAAC225D6E1A90072C287 /* ConstraintItem.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAAAB25D6E1910072C287 /* ConstraintItem.swift */; };
		F83AAAC325D6E1A90072C287 /* LayoutConstraint.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAAAF25D6E1910072C287 /* LayoutConstraint.swift */; };
		F83AAAC425D6E1A90072C287 /* ConstraintView+Extensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAAAA25D6E1910072C287 /* ConstraintView+Extensions.swift */; };
		F83AAAC525D6E1A90072C287 /* ConstraintLayoutGuide.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAAA125D6E1910072C287 /* ConstraintLayoutGuide.swift */; };
		F83AAAC625D6E1A90072C287 /* ConstraintAttributes.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAA9525D6E1910072C287 /* ConstraintAttributes.swift */; };
		F83AAAC725D6E1A90072C287 /* UILayoutSupport+Extensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAA9F25D6E1910072C287 /* UILayoutSupport+Extensions.swift */; };
		F83AAAC825D6E1A90072C287 /* ConstraintMakerEditable.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAAA625D6E1910072C287 /* ConstraintMakerEditable.swift */; };
		F83AAAC925D6E1A90072C287 /* ConstraintConfig.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAA9E25D6E1910072C287 /* ConstraintConfig.swift */; };
		F83AAACA25D6E1A90072C287 /* ConstraintMaker.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAAA725D6E1910072C287 /* ConstraintMaker.swift */; };
		F83AAACB25D6E1A90072C287 /* ConstraintLayoutSupport.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAAA225D6E1910072C287 /* ConstraintLayoutSupport.swift */; };
		F83AAACC25D6E1A90072C287 /* ConstraintMakerExtendable.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAA9B25D6E1910072C287 /* ConstraintMakerExtendable.swift */; };
		F83AAACD25D6E1A90072C287 /* ConstraintMultiplierTarget.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAA9125D6E1910072C287 /* ConstraintMultiplierTarget.swift */; };
		F83AAACE25D6E1A90072C287 /* ConstraintViewDSL.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAA9625D6E1910072C287 /* ConstraintViewDSL.swift */; };
		F83AAACF25D6E1A90072C287 /* LayoutConstraintItem.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAA9225D6E1910072C287 /* LayoutConstraintItem.swift */; };
		F83AAAD025D6E1A90072C287 /* ConstraintInsets.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAA9825D6E1910072C287 /* ConstraintInsets.swift */; };
		F83AAAD125D6E1A90072C287 /* ConstraintInsetTarget.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAA9D25D6E1910072C287 /* ConstraintInsetTarget.swift */; };
		F83AAAD225D6E1A90072C287 /* ConstraintDescription.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAA9325D6E1910072C287 /* ConstraintDescription.swift */; };
		F83AAAD325D6E1A90072C287 /* ConstraintMakerPriortizable.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAA9425D6E1910072C287 /* ConstraintMakerPriortizable.swift */; };
		F83AAAD425D6E1A90072C287 /* Debugging.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAAAD25D6E1910072C287 /* Debugging.swift */; };
		F83AAAD525D6E1A90072C287 /* ConstraintMakerRelatable.swift in Sources */ = {isa = PBXBuildFile; fileRef = F83AAAB225D6E1910072C287 /* ConstraintMakerRelatable.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		333798BB22F86B8C007A5022 /* IOActionSheet.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = IOActionSheet.app; sourceTree = BUILT_PRODUCTS_DIR; };
		333798BE22F86B8C007A5022 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		333798C022F86B8C007A5022 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		333798C322F86B8C007A5022 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		333798C522F86B92007A5022 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		333798C822F86B92007A5022 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		333798CA22F86B92007A5022 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		333798D422F86BA4007A5022 /* Readme.md */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = net.daringfireball.markdown; path = Readme.md; sourceTree = "<group>"; };
		33CF209322F96C73007C49EC /* ActionSheetViewController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ActionSheetViewController.swift; sourceTree = "<group>"; };
		33CF209422F96C73007C49EC /* ActionSheetButton.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ActionSheetButton.swift; sourceTree = "<group>"; };
		33CF209522F96C73007C49EC /* ActionSheet.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ActionSheet.swift; sourceTree = "<group>"; };
		33CF209622F96C73007C49EC /* ActionSheetTopView.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ActionSheetTopView.swift; sourceTree = "<group>"; };
		33CF209722F96C73007C49EC /* ActionSheetView.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ActionSheetView.swift; sourceTree = "<group>"; };
		F83AAA9125D6E1910072C287 /* ConstraintMultiplierTarget.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintMultiplierTarget.swift; sourceTree = "<group>"; };
		F83AAA9225D6E1910072C287 /* LayoutConstraintItem.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LayoutConstraintItem.swift; sourceTree = "<group>"; };
		F83AAA9325D6E1910072C287 /* ConstraintDescription.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintDescription.swift; sourceTree = "<group>"; };
		F83AAA9425D6E1910072C287 /* ConstraintMakerPriortizable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintMakerPriortizable.swift; sourceTree = "<group>"; };
		F83AAA9525D6E1910072C287 /* ConstraintAttributes.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintAttributes.swift; sourceTree = "<group>"; };
		F83AAA9625D6E1910072C287 /* ConstraintViewDSL.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintViewDSL.swift; sourceTree = "<group>"; };
		F83AAA9725D6E1910072C287 /* ConstraintPriorityTarget.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintPriorityTarget.swift; sourceTree = "<group>"; };
		F83AAA9825D6E1910072C287 /* ConstraintInsets.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintInsets.swift; sourceTree = "<group>"; };
		F83AAA9925D6E1910072C287 /* ConstraintMakerFinalizable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintMakerFinalizable.swift; sourceTree = "<group>"; };
		F83AAA9A25D6E1910072C287 /* ConstraintDSL.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintDSL.swift; sourceTree = "<group>"; };
		F83AAA9B25D6E1910072C287 /* ConstraintMakerExtendable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintMakerExtendable.swift; sourceTree = "<group>"; };
		F83AAA9C25D6E1910072C287 /* ConstraintPriority.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintPriority.swift; sourceTree = "<group>"; };
		F83AAA9D25D6E1910072C287 /* ConstraintInsetTarget.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintInsetTarget.swift; sourceTree = "<group>"; };
		F83AAA9E25D6E1910072C287 /* ConstraintConfig.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintConfig.swift; sourceTree = "<group>"; };
		F83AAA9F25D6E1910072C287 /* UILayoutSupport+Extensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UILayoutSupport+Extensions.swift"; sourceTree = "<group>"; };
		F83AAAA025D6E1910072C287 /* ConstraintView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintView.swift; sourceTree = "<group>"; };
		F83AAAA125D6E1910072C287 /* ConstraintLayoutGuide.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintLayoutGuide.swift; sourceTree = "<group>"; };
		F83AAAA225D6E1910072C287 /* ConstraintLayoutSupport.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintLayoutSupport.swift; sourceTree = "<group>"; };
		F83AAAA325D6E1910072C287 /* Typealiases.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Typealiases.swift; sourceTree = "<group>"; };
		F83AAAA425D6E1910072C287 /* ConstraintConstantTarget.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintConstantTarget.swift; sourceTree = "<group>"; };
		F83AAAA525D6E1910072C287 /* ConstraintOffsetTarget.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintOffsetTarget.swift; sourceTree = "<group>"; };
		F83AAAA625D6E1910072C287 /* ConstraintMakerEditable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintMakerEditable.swift; sourceTree = "<group>"; };
		F83AAAA725D6E1910072C287 /* ConstraintMaker.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintMaker.swift; sourceTree = "<group>"; };
		F83AAAA825D6E1910072C287 /* ConstraintRelation.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintRelation.swift; sourceTree = "<group>"; };
		F83AAAA925D6E1910072C287 /* ConstraintLayoutGuideDSL.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintLayoutGuideDSL.swift; sourceTree = "<group>"; };
		F83AAAAA25D6E1910072C287 /* ConstraintView+Extensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "ConstraintView+Extensions.swift"; sourceTree = "<group>"; };
		F83AAAAB25D6E1910072C287 /* ConstraintItem.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintItem.swift; sourceTree = "<group>"; };
		F83AAAAC25D6E1910072C287 /* Constraint.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Constraint.swift; sourceTree = "<group>"; };
		F83AAAAD25D6E1910072C287 /* Debugging.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Debugging.swift; sourceTree = "<group>"; };
		F83AAAAE25D6E1910072C287 /* ConstraintRelatableTarget.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintRelatableTarget.swift; sourceTree = "<group>"; };
		F83AAAAF25D6E1910072C287 /* LayoutConstraint.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LayoutConstraint.swift; sourceTree = "<group>"; };
		F83AAAB025D6E1910072C287 /* ConstraintLayoutGuide+Extensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "ConstraintLayoutGuide+Extensions.swift"; sourceTree = "<group>"; };
		F83AAAB125D6E1910072C287 /* ConstraintLayoutSupportDSL.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintLayoutSupportDSL.swift; sourceTree = "<group>"; };
		F83AAAB225D6E1910072C287 /* ConstraintMakerRelatable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintMakerRelatable.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		333798B822F86B8C007A5022 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		333798B222F86B8C007A5022 = {
			isa = PBXGroup;
			children = (
				333798D422F86BA4007A5022 /* Readme.md */,
				33CF209122F96C73007C49EC /* IOActionSheet */,
				333798BD22F86B8C007A5022 /* IOActionSheetTest */,
				333798BC22F86B8C007A5022 /* Products */,
			);
			sourceTree = "<group>";
		};
		333798BC22F86B8C007A5022 /* Products */ = {
			isa = PBXGroup;
			children = (
				333798BB22F86B8C007A5022 /* IOActionSheet.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		333798BD22F86B8C007A5022 /* IOActionSheetTest */ = {
			isa = PBXGroup;
			children = (
				333798BE22F86B8C007A5022 /* AppDelegate.swift */,
				333798C022F86B8C007A5022 /* ViewController.swift */,
				333798C222F86B8C007A5022 /* Main.storyboard */,
				333798C522F86B92007A5022 /* Assets.xcassets */,
				333798C722F86B92007A5022 /* LaunchScreen.storyboard */,
				333798CA22F86B92007A5022 /* Info.plist */,
			);
			path = IOActionSheetTest;
			sourceTree = "<group>";
		};
		33CF209122F96C73007C49EC /* IOActionSheet */ = {
			isa = PBXGroup;
			children = (
				F83AAA9025D6E1910072C287 /* SnapKit */,
				33CF209322F96C73007C49EC /* ActionSheetViewController.swift */,
				33CF209422F96C73007C49EC /* ActionSheetButton.swift */,
				33CF209522F96C73007C49EC /* ActionSheet.swift */,
				33CF209622F96C73007C49EC /* ActionSheetTopView.swift */,
				33CF209722F96C73007C49EC /* ActionSheetView.swift */,
			);
			path = IOActionSheet;
			sourceTree = "<group>";
		};
		F83AAA9025D6E1910072C287 /* SnapKit */ = {
			isa = PBXGroup;
			children = (
				F83AAA9125D6E1910072C287 /* ConstraintMultiplierTarget.swift */,
				F83AAA9225D6E1910072C287 /* LayoutConstraintItem.swift */,
				F83AAA9325D6E1910072C287 /* ConstraintDescription.swift */,
				F83AAA9425D6E1910072C287 /* ConstraintMakerPriortizable.swift */,
				F83AAA9525D6E1910072C287 /* ConstraintAttributes.swift */,
				F83AAA9625D6E1910072C287 /* ConstraintViewDSL.swift */,
				F83AAA9725D6E1910072C287 /* ConstraintPriorityTarget.swift */,
				F83AAA9825D6E1910072C287 /* ConstraintInsets.swift */,
				F83AAA9925D6E1910072C287 /* ConstraintMakerFinalizable.swift */,
				F83AAA9A25D6E1910072C287 /* ConstraintDSL.swift */,
				F83AAA9B25D6E1910072C287 /* ConstraintMakerExtendable.swift */,
				F83AAA9C25D6E1910072C287 /* ConstraintPriority.swift */,
				F83AAA9D25D6E1910072C287 /* ConstraintInsetTarget.swift */,
				F83AAA9E25D6E1910072C287 /* ConstraintConfig.swift */,
				F83AAA9F25D6E1910072C287 /* UILayoutSupport+Extensions.swift */,
				F83AAAA025D6E1910072C287 /* ConstraintView.swift */,
				F83AAAA125D6E1910072C287 /* ConstraintLayoutGuide.swift */,
				F83AAAA225D6E1910072C287 /* ConstraintLayoutSupport.swift */,
				F83AAAA325D6E1910072C287 /* Typealiases.swift */,
				F83AAAA425D6E1910072C287 /* ConstraintConstantTarget.swift */,
				F83AAAA525D6E1910072C287 /* ConstraintOffsetTarget.swift */,
				F83AAAA625D6E1910072C287 /* ConstraintMakerEditable.swift */,
				F83AAAA725D6E1910072C287 /* ConstraintMaker.swift */,
				F83AAAA825D6E1910072C287 /* ConstraintRelation.swift */,
				F83AAAA925D6E1910072C287 /* ConstraintLayoutGuideDSL.swift */,
				F83AAAAA25D6E1910072C287 /* ConstraintView+Extensions.swift */,
				F83AAAAB25D6E1910072C287 /* ConstraintItem.swift */,
				F83AAAAC25D6E1910072C287 /* Constraint.swift */,
				F83AAAAD25D6E1910072C287 /* Debugging.swift */,
				F83AAAAE25D6E1910072C287 /* ConstraintRelatableTarget.swift */,
				F83AAAAF25D6E1910072C287 /* LayoutConstraint.swift */,
				F83AAAB025D6E1910072C287 /* ConstraintLayoutGuide+Extensions.swift */,
				F83AAAB125D6E1910072C287 /* ConstraintLayoutSupportDSL.swift */,
				F83AAAB225D6E1910072C287 /* ConstraintMakerRelatable.swift */,
			);
			path = SnapKit;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		333798BA22F86B8C007A5022 /* IOActionSheet */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 333798CD22F86B92007A5022 /* Build configuration list for PBXNativeTarget "IOActionSheet" */;
			buildPhases = (
				333798B722F86B8C007A5022 /* Sources */,
				333798B822F86B8C007A5022 /* Frameworks */,
				333798B922F86B8C007A5022 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = IOActionSheet;
			productName = ReninsActionSheet;
			productReference = 333798BB22F86B8C007A5022 /* IOActionSheet.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		333798B322F86B8C007A5022 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1030;
				LastUpgradeCheck = 1030;
				ORGANIZATIONNAME = "Igor Olnev";
				TargetAttributes = {
					333798BA22F86B8C007A5022 = {
						CreatedOnToolsVersion = 10.3;
					};
				};
			};
			buildConfigurationList = 333798B622F86B8C007A5022 /* Build configuration list for PBXProject "IOActionSheet" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 333798B222F86B8C007A5022;
			productRefGroup = 333798BC22F86B8C007A5022 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				333798BA22F86B8C007A5022 /* IOActionSheet */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		333798B922F86B8C007A5022 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				333798C922F86B92007A5022 /* LaunchScreen.storyboard in Resources */,
				333798C622F86B92007A5022 /* Assets.xcassets in Resources */,
				333798E122F86BA4007A5022 /* Readme.md in Resources */,
				333798C422F86B8C007A5022 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		333798B722F86B8C007A5022 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				F83AAACD25D6E1A90072C287 /* ConstraintMultiplierTarget.swift in Sources */,
				F83AAAD525D6E1A90072C287 /* ConstraintMakerRelatable.swift in Sources */,
				F83AAACE25D6E1A90072C287 /* ConstraintViewDSL.swift in Sources */,
				F83AAAD325D6E1A90072C287 /* ConstraintMakerPriortizable.swift in Sources */,
				F83AAACF25D6E1A90072C287 /* LayoutConstraintItem.swift in Sources */,
				F83AAABE25D6E1A90072C287 /* Constraint.swift in Sources */,
				F83AAAB525D6E1A90072C287 /* ConstraintView.swift in Sources */,
				33CF209922F96C73007C49EC /* ActionSheetViewController.swift in Sources */,
				33CF209A22F96C73007C49EC /* ActionSheetButton.swift in Sources */,
				F83AAAC525D6E1A90072C287 /* ConstraintLayoutGuide.swift in Sources */,
				F83AAAC125D6E1A90072C287 /* ConstraintLayoutGuide+Extensions.swift in Sources */,
				F83AAAC425D6E1A90072C287 /* ConstraintView+Extensions.swift in Sources */,
				F83AAAC825D6E1A90072C287 /* ConstraintMakerEditable.swift in Sources */,
				F83AAAD225D6E1A90072C287 /* ConstraintDescription.swift in Sources */,
				F83AAAB425D6E1A90072C287 /* ConstraintPriority.swift in Sources */,
				F83AAAD025D6E1A90072C287 /* ConstraintInsets.swift in Sources */,
				F83AAAB725D6E1A90072C287 /* ConstraintMakerFinalizable.swift in Sources */,
				F83AAAC925D6E1A90072C287 /* ConstraintConfig.swift in Sources */,
				F83AAACC25D6E1A90072C287 /* ConstraintMakerExtendable.swift in Sources */,
				F83AAACA25D6E1A90072C287 /* ConstraintMaker.swift in Sources */,
				F83AAAC725D6E1A90072C287 /* UILayoutSupport+Extensions.swift in Sources */,
				F83AAAB625D6E1A90072C287 /* ConstraintLayoutSupportDSL.swift in Sources */,
				F83AAAC025D6E1A90072C287 /* ConstraintPriorityTarget.swift in Sources */,
				F83AAAD425D6E1A90072C287 /* Debugging.swift in Sources */,
				F83AAAC625D6E1A90072C287 /* ConstraintAttributes.swift in Sources */,
				F83AAACB25D6E1A90072C287 /* ConstraintLayoutSupport.swift in Sources */,
				F83AAABC25D6E1A90072C287 /* ConstraintRelation.swift in Sources */,
				333798C122F86B8C007A5022 /* ViewController.swift in Sources */,
				33CF209B22F96C73007C49EC /* ActionSheet.swift in Sources */,
				33CF209C22F96C73007C49EC /* ActionSheetTopView.swift in Sources */,
				F83AAAD125D6E1A90072C287 /* ConstraintInsetTarget.swift in Sources */,
				F83AAAB925D6E1A90072C287 /* ConstraintDSL.swift in Sources */,
				333798BF22F86B8C007A5022 /* AppDelegate.swift in Sources */,
				F83AAAC325D6E1A90072C287 /* LayoutConstraint.swift in Sources */,
				F83AAAC225D6E1A90072C287 /* ConstraintItem.swift in Sources */,
				F83AAABA25D6E1A90072C287 /* ConstraintLayoutGuideDSL.swift in Sources */,
				F83AAABB25D6E1A90072C287 /* ConstraintConstantTarget.swift in Sources */,
				F83AAAB825D6E1A90072C287 /* ConstraintRelatableTarget.swift in Sources */,
				33CF209D22F96C73007C49EC /* ActionSheetView.swift in Sources */,
				F83AAABD25D6E1A90072C287 /* Typealiases.swift in Sources */,
				F83AAABF25D6E1A90072C287 /* ConstraintOffsetTarget.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		333798C222F86B8C007A5022 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				333798C322F86B8C007A5022 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		333798C722F86B92007A5022 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				333798C822F86B92007A5022 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		333798CB22F86B92007A5022 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.4;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		333798CC22F86B92007A5022 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.4;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		333798CE22F86B92007A5022 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = HRKAC69323;
				INFOPLIST_FILE = "$(SRCROOT)/IOActionSheetTest/Info.plist";
				IPHONEOS_DEPLOYMENT_TARGET = 10.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.io.ioactionsheet;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		333798CF22F86B92007A5022 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = HRKAC69323;
				INFOPLIST_FILE = "$(SRCROOT)/IOActionSheetTest/Info.plist";
				IPHONEOS_DEPLOYMENT_TARGET = 10.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.io.ioactionsheet;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		333798B622F86B8C007A5022 /* Build configuration list for PBXProject "IOActionSheet" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				333798CB22F86B92007A5022 /* Debug */,
				333798CC22F86B92007A5022 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		333798CD22F86B92007A5022 /* Build configuration list for PBXNativeTarget "IOActionSheet" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				333798CE22F86B92007A5022 /* Debug */,
				333798CF22F86B92007A5022 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 333798B322F86B8C007A5022 /* Project object */;
}
